# 18. Мутація: Згенерувати zip-архів із "ZonesMap" і "Field"

Створити zip-архів з обраним "ZonesMap" та межею поля "Field".

Після виконання запиту GraphQL користувачі можуть отримати zip-архів з `archiveUrl` властивості та експортований вміст з `запаковано` та `ігноровано` рядків.

{% hint style="info" %}
Архів складається з файлів \*.shp, \*.shx, \*.prj, \*.dbf.
{% endhint %}

{% hint style="danger" %}
`archiveUrl` посилання доступне лише протягом **60 с**.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ExportData {
  exportData(input: {
    vectorAnalysisMaps: [{ 
      uuid: "<placeholder_of_vectoranalysismap_uuid_1>", 
      fieldUuid: "<placeholder_of_field_uuid>" 
    }, { 
      uuid: "<placeholder_of_vectoranalysismap_uuid_2>", 
      fieldUuid: "<placeholder_of_field_uuid>" 
    }]
    fieldBoundaries: [{
      uuid: "<placeholder_of_farm_uuid>", 
      fieldUuid: "<placeholder_of_field_uuid>"
    }]
  }) {
    archiveUrl
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    zippedFieldBoundaries {
      uuid
      fieldUuid
      status
    }
    ignoredFieldBoundaries {
      uuid
      fieldUuid
      status
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/18.-mutaciya-zgeneruvati-zip-arkhiv-iz-zonesmap-i-field.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
